Subject: Re: Three-Speed Ethernet support on MPC8560 (TSEC)

From: Pantelis Antoniou <[email-masked]>
Date: Fri, 21 Oct 2005 20:18:57 +0300

On Friday 21 October 2005 16:39, Kumar Gala wrote:
> 
> On Oct 21, 2005, at 7:21 AM, Nathael PAJANI wrote:
> 
> > Hi all!
> >
> > I'm working on a port of linux (2.6.13-2) on an Actis-computer board,
> > based on the Freescale MPC8560 Processor.
> >
> > I solved the problems I had with the init process, and I actually have
> > the console (SCC1) and one ethernet controler (FCC3) running.
> >
> > I will now go on with the Three-Speed Ethernet Controler, and there
> > actually seem to be no support for it, but maybe I did not look at the
> > right place?
> 
> The TSEC has been supported for a long time.  The driver is call  
> gianfar (drivers/net/gianfar*).
> 
> > I got another question, about the FCC driver: it uses a "big"  
> > structure
> > "fcc_enet_t" wich seems to be aimed at stats. This is initialised,  
> > but I
> > did not find where this is used. Is it?
> 
> The FCC enet driver has been completely rewritten recently and is in  
> the process of being accepted into the kernel.  Hopefully one of the  
> guys with more knowledge on the details will be able to help you on  
> the specifics.
>

fcc_enet_t is in the CPM parameter area. It is used but the statistics
it provides are not, since we properly update the linux net device stats
manually.
 
> - kumar
> _______________________________________________
> Linuxppc-embedded mailing list
> [email-masked]
> https://ozlabs.org/mailman/listinfo/linuxppc-embedded
> 

Regards

Pantelis